const odinRequest = require('odin-request-retry');

const authorize = (token) => {
    return new Promise((resolve) => {

        let requestTemplate = {
            url: 'https://graph.facebook.com/v3.2/me',
            qs: {
                access_token: token
            },
            method: "GET",
            resolveWithFullResponse: true
        };

        return resolve(odinRequest.request(requestTemplate, 2));

    });
};

module.exports = {
    authorize
}